package com.tanpu.community.api.beans.vo.feign.product;

import com.tanpu.community.api.beans.vo.feign.Type;
import com.tanpu.community.api.beans.vo.feign.course.ColumnVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel("产品信息")
@Data
public class ProductInfoVO {

    @ApiModelProperty("产品名称 ")
    public String fundName;

    @ApiModelProperty("产品id")
    public String fundId;

    @ApiModelProperty("产品code")
    public String fundCode;

    @ApiModelProperty("产品标签")
    public String fundTag;

    @ApiModelProperty("产品标签")
    public String fundTagDesc;

    @ApiModelProperty("对比产品id")
    public String ratioId;

    @ApiModelProperty("累计收益")
    public String cumulativeProfit;

    @ApiModelProperty("运行时间")
    public String runTime;

    @ApiModelProperty("产品编码")
    public String productCode;

    @ApiModelProperty("近一个月收益率")
    public String ret1m;

    @ApiModelProperty("最近一年")
    public String ret1y;

    @ApiModelProperty("最近一年")
    public BigDecimal ret1ySort;

    @ApiModelProperty("近一年收益 (同最近一年) 请忽略此字段")
    public String near1YearProfit;

    @ApiModelProperty("今年以来")
    public String retYtd;

    @ApiModelProperty("成立以来收益率")
    public String retIncep;

    @ApiModelProperty("成立以来")
    public BigDecimal retIncepSort;

    @ApiModelProperty("最新净值")
    public Net net;

    @ApiModelProperty("风险等级")
    public Integer riskLevel;

    @ApiModelProperty("私募基金类型：1-信托计划，2-有限合伙，3-券商资管，4-公募专户，5-单账户，6-证券投资基金，7-海外基金，8-期货资管，9-保险资管、10-创业投资基金、11-股权投资基金、12-银行理财、13-类固收信托、-1其他投资基金   \t\t\n" +
            "公募基金类型：1-混合型、2-债券型、3-定开债券、4-联接基金、5-货币型、6-债券指数、7-保本型、8-理财型、9-QDII、10-股票指数、11-QDII-指数、12-股票型、13-固定收益、14-分级杠杆、15-ETF-场内、16-QDII-ETF、17-债券创新-场内、18-封闭式")
    public Integer fundType;

    @ApiModelProperty("基金类型名称")
    public String fundTypeName;

    @ApiModelProperty("起投金额 单位:万")
    public String money;

    @ApiModelProperty("初始规模")
    public String initialSize;

    @ApiModelProperty("最低追加金额")
    public String minMoney;

    @ApiModelProperty("封闭期")
    public Integer lockupPeriod;

    @ApiModelProperty("开放日")
    public String openDay;

    @ApiModelProperty("开放日")
    public String redeemDayStr;

    @ApiModelProperty("申购日")
    public Long applyDay;

    @ApiModelProperty("赎回日")
    public Long redeemDay;

    @ApiModelProperty("产品标签")
    public List<ProductLabel> productLabels;

    @ApiModelProperty("管理人的解答")
    public List<String> problems;

    @ApiModelProperty("回答总数")
    public Integer answerCount;

    @ApiModelProperty("描述")
    public String desc;

    @ApiModelProperty("产品来源 1：探普 2：私募排排 -1:自建产品")
    public Integer dataSources;

    @ApiModelProperty("产品类型 0：公募 1：私募 2：白名单 3：私有基金")
    public Integer productType;

    @ApiModelProperty("策略类型")
    public String strategy;

    @ApiModelProperty("策略类型")
    public String substrategy;

    @ApiModelProperty("策略类型")
    public String substrategyName;

    @ApiModelProperty("策略类型名称")
    public String strategyName;

    @ApiModelProperty("基金公司id")
    public String trustId;

    @ApiModelProperty("基金公司名称")
    public String trustName;

    @ApiModelProperty("是否可预约 0:不可预约 1:可预约")
    public Integer isAppoint;

    @ApiModelProperty("是否有研报 0:没有 1:有研报")
    public Integer isReport;

    public String dailyIncrease;

    public Type type;

    @ApiModelProperty("栏目信息")
    public List<ColumnVO> vos;

    @ApiModelProperty("成立日期")
    public Long inceptionDate;

    @ApiModelProperty("备案编码")
    public String registerNumber;

    @ApiModelProperty("经理id")
    public String managerId;

    @ApiModelProperty("经理姓名")
    public String managerName;

    @ApiModelProperty("经理数量")
    public Integer managerNum;

    @ApiModelProperty("基金数量")
    public Integer fundNum;

    @ApiModelProperty("公司资产规模")
    public String companyAssetSize;

    @ApiModelProperty("点评")
    public List<Type> commentContent;

    @ApiModelProperty("热推 1:表示热推")
    public Integer hotPush = 0;

    /**
     * 是否推荐 0 否 1：是
     */
    public Integer isRecommend;

    /**
     * 推荐
     */
    public String recommend;
    /**
     * 基金文件
     */
    public String fundFile;

    /**
     * 是否支持线上电签(妥妥递) 0：否 1:是
     */
    public Integer isSignOnline;

    @ApiModelProperty("近X月内的收益")
    public String retOfMouth;
    @ApiModelProperty("多少个月")
    public String mouth;
    @ApiModelProperty("成立日期 - 年")
    public String inceptionDateYear;
    @ApiModelProperty("成立以来年化")
    public String retIncepA;
    @ApiModelProperty("最大回撤")
    public String maxdrawdownIncep;
    @ApiModelProperty("夏普比率")
    public String sharperatioIncep;

    @ApiModelProperty("对标产品名称")
    public String benchmarkProductName;
    @ApiModelProperty("对标基金id")
    public String benchmarkProductId;
    @ApiModelProperty("对标基金类型")
    public Integer benchmarkProductType;

    @ApiModelProperty("对标基金一年涨幅")
    public String benchmarkProductRet1y;
    @ApiModelProperty("对标基金最新净值时间")
    public Long benchmarkProductTime;
    @ApiModelProperty("对标基金最新净值")
    public String benchmarkProductNet;

    @ApiModelProperty(value = "基金托管人姓名", notes = "查询详情时使用")
    public String custodianName;

    @ApiModelProperty("指数id，以'IN'开头(后加36进制编码格式,不足8位长度左补零） 例：IN00000001")
    public String primaryBenchmarkId;

    @ApiModelProperty("探普基金 - 主分类")
    public Integer tampType;

    @ApiModelProperty("探普基金 - 标签")
    public List<LabelValVo> tampLabelList;

    @ApiModelProperty("是否成立 0：募集中 1:已成立")
    private Integer isInception;

    @ApiModelProperty("成立时长 单位：年")
    private String inceptionDuration;

    @ApiModelProperty("下投资管人")
    private String tampAssetsManager;

    @ApiModelProperty("认/申购费率")
    private String purchaseRates;

    @ApiModelProperty("管理费率")
    private String managementRate;

    @ApiModelProperty("业绩报酬提取比例")
    private String exPerformanceRewardRatio;

    @ApiModelProperty("运作费率-申购费TPFA服务费(探普白名单+探普FOF精选+探普热销)")
    private String tampTpfaApplyfee;

    @ApiModelProperty("运作费率-管理费探普服务费(探普白名单+探普FOF精选)")
    private String tampServiceMangfee;

    @ApiModelProperty("运作费率-业绩报酬探普服务费(探普白名单+探普FOF精选)")
    private String tampServiceAchfee;

    @ApiModelProperty("运作费率-管理费TPFA服务费(探普热销)")
    private String tampTpfaMangfee;

    @ApiModelProperty("运作费率-业绩报酬TPFA服务费(探普热销)")
    private String tampTpfaAchfee;

    @ApiModelProperty("运作费率-销售服务费)")
    private String serviceCharge;

    @ApiModelProperty("运作费率-销售服务费(探普服务费)")
    private String tampServiceCharge;

    @ApiModelProperty("投顾费率")
    private String investAdviserFee;

    @ApiModelProperty("趋势缩略图")
    private String trendChart;

    @ApiModelProperty("收益 不满1个月不展示，不满3个月展示1个月收益，不满半年展示3个月收益，不满一年展示近半年收益，满一年展示近一年收益")
    private LabelValVo fundProfit;

    @ApiModelProperty("预约人数")
    private Long appointPersonNum;

    @ApiModelProperty("交易方式 0：线下 1：线上 2：线下+线上")
    private String tradeWay;

    @ApiModelProperty("基金来源 ht - 恒泰 | other - 其他")
    private String fundSource;
}
